> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-beta.getzep.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server.

# Get user group

GET https://api.getzep.com/api/v4/user-groups/{group_uuid}

Requires a project API key, or an account-admin bearer token with the X-Zep-Project header. The account must be entitled to attribute-based access control.

Reference: https://docs-beta.getzep.com/sdk-reference/user-group/get

## Authentication

- `Authorization` header (required) (prefixed with ` Api-Key  `) — Type "Api-Key" followed by a space and the project API key.

## Request

### Path parameters

- `group_uuid` (string, required) — User group UUID

## Response

### 200

OK

- `created_at` (string, optional) — The time the user group was created.
- `description` (string, optional) — A human-readable description of the user group.
- `name` (string, optional) — The name of the user group.
- `updated_at` (string, optional) — The time the user group was last updated.
- `uuid` (string, optional) — The unique identifier of the user group.
- `version` (integer, optional) — The user group's version, used for optimistic concurrency on updates.

## Errors

### 400 Bad Request Error

Bad Request

- `error` (v4.ErrorBody, optional)

### 401 Unauthorized Error

Unauthorized

- `error` (v4.ErrorBody, optional)

### 403 Forbidden Error

Forbidden

- `error` (v4.ErrorBody, optional)

### 404 Not Found Error

Not Found

- `error` (v4.ErrorBody, optional)

## Types

### v4.ErrorBody

- `code` (string, optional)
- `details` (map from string to any, optional)
- `message` (string, optional)
- `param` (string, optional)
- `request_id` (string, optional)

## Examples

**Response**

```json
{
  "created_at": "string",
  "description": "string",
  "name": "string",
  "updated_at": "string",
  "uuid": "string",
  "version": 1
}
```